petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOmpCtrlOmpRegionOnMasterBegin

Mark the beginning of an OpenMP library call on master ranks

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOmpCtrlOmpRegionOnMasterBegin(PetscOmpCtrl ctrl)

### Input Parameter

ctrl -a PETSc OMP controler

### Notes

Only master ranks can call this function. Call PetscOmpCtrlGetOmpComms to know if this is a master rank. This function changes CPU binding of master ranks and nthreads-var of OpenMP runtime

### See Also

PetscOmpCtrlOmpRegionOnMasterEnd()

### Level

developer

### Location

src/sys/utils/mpishm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages